%define name    autopano-sift-C
%define version 2.5.1
%define release %mkrel 3

%define destdir %{_libdir}/%{name}

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        SIFT Feature Detection implementation
License:        GPL
Group:          Graphics
Url:            http://hugin.sourceforge.net/
Source0:        autopano-sift-C-%{version}.tar.xz
Patch0:		autopano-sift-C-2.5.1-link.patch
BuildRequires: cmake
BuildRequires: %{_lib}pano13-devel
BuildRequires: %{_lib}tiff-devel
BuildRequires: %{_lib}xml2-devel
BuildRequires: libxml2-devel

%description
This package provides an implementation of the SIFT algorithm and a set of
utilities to utilize the algorithm to match two or more images. As output, a
number of control points are created, which specify one and the same image
location in two images. The output is created as project file for the hugin
panorama stitching software, which is available at http://hugin.sf.net/

%prep
%setup -q 
%patch0 -p0

%build
%cmake
%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE README README.1ST ChangeLog
%{_mandir}/man?/*
%{_bindir}/*


%changelog
* Sun Oct 11 2015 MBantz <martin dot bantz at gmail dot com> 2.5.1-3pclos2015
- rebuild to updated libpano13

* Mon Feb 17 2014 bb <bb> 2.5.1-2pclos2014
- rebuild 
- add patch

* Mon Nov 07 2011 Texstar <texstar at gmail.com> 2.5.1-1pclos2011
- 2.5.1

